CORESENDMSG(1)

NAME
coresendmsg - send a CORE API message to the core-daemon daemon

SYNOPSIS
coresendmsg [-h|-H] [options] [message-type] [flags=flags] [message-TLVs]

DESCRIPTION

  Supported message types:

    ['node', 'link', 'exec', 'reg', 'conf', 'file', 'iface', 'event', 'sess', 'excp']

  Supported message flags (flags=f1,f2,...):

    ['add', 'del', 'cri', 'loc', 'str', 'txt', 'tty']

OPTIONS

-h, --help
    show this help message and exit

-H  show example usage help message and exit

-p PORT, --port=PORT
    TCP port to connect to, default: 4038

-a ADDRESS, --address=ADDRESS
    Address to connect to, default: localhost

-s SESSION, --session=SESSION
    Session to join, default: None

-l, --listen
    Listen for a response message and print it.

-t, --list-tlvs
    List TLVs for the specified message type.

-T, --tcp
    Use TCP instead of UDP and connect to a session, default: False

Usage: coresendmsg [-h|-H] [options] [message-type] [flags=flags] [message-TLVs]

  Supported message types:

    ['node', 'link', 'exec', 'reg', 'conf', 'file', 'iface', 'event', 'sess', 'excp']

  Supported message flags (flags=f1,f2,...):

    ['add', 'del', 'cri', 'loc', 'str', 'txt', 'tty']

-h, --help
    show this help message and exit

-H  show example usage help message and exit

-p PORT, --port=PORT
    TCP port to connect to, default: 4038

-a ADDRESS, --address=ADDRESS
    Address to connect to, default: localhost

-s SESSION, --session=SESSION
    Session to join, default: None

-l, --listen
    Listen for a response message and print it.

-t, --list-tlvs
    List TLVs for the specified message type.

-T, --tcp
    Use TCP instead of UDP and connect to a session, default: False

EXAMPLES

A list of examples is available using the following command:
    coresendmsg -H

SEE ALSO
core-gui(1), core-daemon(1), vcmd(1), vnoded(1)

BUGS
Report bugs to core-dev@pf.itd.nrl.navy.mil.